Bug 846234 - Review Request: Lightread - A totally awesome offline Google Reader
Summary: Review Request: Lightread - A totally awesome offline Google Reader
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-07 08:48 UTC by Vadim Rutkovsky
Modified: 2015-08-04 08:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 13:46:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Vadim Rutkovsky 2012-08-07 08:48:32 UTC
Spec URL: https://build.opensuse.org/package/view_file?file=lightread.spec&package=Lightread&project=home%3Aroignac
SRPM URL: http://download.opensuse.org/repositories/home:/roignac/Fedora_17/src/lightread-1.0.20.git20120805-1.1.src.rpm
Description: Lightread is a totally awesome offline Google Reader.

With beautiful design and incredible Ubuntu integration,
Lightread is the best RSS reader for Linux.

Fedora Account System Username: roignac

Koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=4361319

This is my first Fedora package and I need a sponsor

Comment 1 David Cameron 2012-08-08 14:10:56 UTC
Hi Vadim,

The spec file must be directly accessible, not embedded in a web page, and the link to the SRPM gives a 404. These problems need to be fixed before any review can be done.

Comment 2 Vadim Rutkovsky 2012-08-08 14:59:55 UTC
Hi David,

Here is a direct link to Spec - https://raw.github.com/roignac/Specs/master/lightread.spec
An updated SRPM can be found here - http://download.opensuse.org/repositories/home:/roignac/Fedora_17/src/lightread-1.0.20.git20120808-1.1.src.rpm

Comment 3 David Cameron 2012-08-10 10:05:02 UTC
Errors from rpmlint:

lightread.noarch: W: incoherent-version-in-changelog 1.0.20-1 ['1.0.20.git20120808-1.1', '1.0.20.git20120808-1.1']
lightread.noarch: E: dir-or-file-in-opt /opt/extras.ubuntu.com/lightread/bin/lightread
lightread.noarch: W: percent-in-%postun

It's bad to define your own bindir, and it is forbidden to install anything to /opt. Please try to stick to the filesystem layout in the guidelines:

http://fedoraproject.org/wiki/Packaging:Guidelines#Filesystem_Layout

and avoid creating any directories called "Ubuntu" :)

Comment 4 Vadim Rutkovsky 2012-08-10 10:36:10 UTC
David, thanks for comments. These directories (and /opt usage) are used and harcoded in upstream, so I'll prepare a pull request, which will fix this behaviour.

I'll post a new comment with spec and SRPM links when these changes will be adopted by upstream

Comment 5 Michael Schwendt 2012-12-09 00:53:27 UTC
*Please* try to keep your Package Review request up-to-date or mark it as NotReady: https://fedoraproject.org/wiki/Package_Review_Process

Currently, the links to the spec and the src.rpm give 404 once again, so there is nothing available to take a look at. Not even an older package that may lead to reviewer's comments that would still apply in the next package release.

Comment 6 Michael Hall 2013-01-12 21:57:09 UTC
Installing to /opt/extras.ubuntu.com/ is only there for submitting the package to Ubuntu's MyApps portal[1].  If you are converting that version of the Debian package to an RPM, you'll want to change the target installation directory to one appropriate for Fedora/RedHat.

[1] http://developer.ubuntu.com/publish/my-apps-packages/

Comment 7 Miroslav Suchý 2015-07-21 13:44:39 UTC
Ping! Any progress here?

Comment 8 Vadim Rutkovsky 2015-07-21 13:46:11 UTC
The project is dead (same as Google Reader), closing


Note You need to log in before you can comment on or make changes to this bug.